com.pixelmed.dicom

## Class AttributeListFunctionalGroupsTableModelOneFrame

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - com.pixelmed.dicom.AttributeListTableModel
    - - com.pixelmed.dicom.AttributeListFunctionalGroupsTableModel
      - - com.pixelmed.dicom.AttributeListFunctionalGroupsTableModelOneFrame

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class AttributeListFunctionalGroupsTableModelOneFrame
    extends AttributeListFunctionalGroupsTableModel

The abstract `AttributeListFunctionalGroupsTableModelOneFrame` class extends a `AttributeListFunctionalGroupsTableModel` to abstract the contents of a list of attributes containing shared and per-frame functional groups for multi-frame objects as a table with a single row for a single frame in order to provide support for a `AttributeListTableBrowser`.

For details of some of the methods implemented here see `javax.swing.table.AbstractTableModel`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.pixelmed.dicom.AttributeListTableModel

`columnCount, columnNames, data, excludeList, includeList, rowCount`

### Fields inherited from class javax.swing.table.AbstractTableModel

`listenerList`

### Constructor Summary

Constructors
Constructor and Description
`AttributeListFunctionalGroupsTableModelOneFrame()`
`AttributeListFunctionalGroupsTableModelOneFrame(AttributeList list)`
`AttributeListFunctionalGroupsTableModelOneFrame(AttributeList list, java.util.HashSet includeList, java.util.HashSet excludeList)`

### Method Summary

Methods
`void` `initializeModelFromAttributeList(AttributeList list)` Populate the table model from an attribute list.
`void` `selectValuesForDifferentFrame(int frameNumber)` Update anything that varies on a per-frame basis to the values for the specified frame.

### Methods inherited from class com.pixelmed.dicom.AttributeListFunctionalGroupsTableModel

`addAllAcceptableAttributesToSetAndValuesToMap, addAllAcceptableAttributesToSetAndValuesToMap, addAllAcceptableAttributesWithinSequenceAttributesToSetAndValuesToMap, addAllAcceptableAttributesWithinSequenceAttributesToSetAndValuesToMapForAllFrames`

### Methods inherited from class com.pixelmed.dicom.AttributeListTableModel

`getColumnCount, getColumnName, getRowCount, getValueAt, isAcceptable, isCellEditable`

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener, setValueAt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeListFunctionalGroupsTableModelOneFrame

    public AttributeListFunctionalGroupsTableModelOneFrame()

#### AttributeListFunctionalGroupsTableModelOneFrame

    public AttributeListFunctionalGroupsTableModelOneFrame(AttributeList list)

Parameters:
  `list` -

#### AttributeListFunctionalGroupsTableModelOneFrame

    public AttributeListFunctionalGroupsTableModelOneFrame(AttributeList list,
                                                   java.util.HashSet includeList,
                                                   java.util.HashSet excludeList)

Parameters:
  `list` -
  `includeList` -
  `excludeList` -

### Method Detail

#### initializeModelFromAttributeList

    public void initializeModelFromAttributeList(AttributeList list)

Populate the table model from an attribute list.

Overrides:
  `initializeModelFromAttributeList` in class `AttributeListTableModel`
Parameters:
  `list` - the attributes whose values to use

#### selectValuesForDifferentFrame

    public void selectValuesForDifferentFrame(int frameNumber)

Update anything that varies on a per-frame basis to the values for the specified frame.

Parameters:
  `frameNumber` - the selected frame, numbered from 0